import React from 'react';
//import styles from './CardViewStyles.less';
import PropTypes from 'prop-types';
import { connect } from 'dva';
import {
  Card,
  WhiteSpace,
  Flex,
} from 'antd-mobile';
class CardThreeContent extends React.Component{
  render(){
    const {todayQianYue, todayCheXiao, suoDingTongJi, shiWuSuoTongJi, jinDuTongJi, chengBenTongJi, shiYongFangYuanTongJi, jiDiFangYuanTongJi, xiaoQuTongJi}=this.props.search;
      return(
        <div>
          <WhiteSpace size="lg" style={{background:"#eee"}} />
          <Card full>

            <CardOne data={todayQianYue}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardTwo data={todayCheXiao}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardThree data={suoDingTongJi}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardFour data={shiWuSuoTongJi}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardFive data={jinDuTongJi}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardSix data={chengBenTongJi}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardSeven data={shiYongFangYuanTongJi}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardEight data={jiDiFangYuanTongJi}/>
            <WhiteSpace size="lg" style={{background:"#eee"}}  />
            <CardNine data={xiaoQuTongJi}/>
          </Card>
        </div>
      );

  }
}

class CardOne extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null){
      return(
        <div>
          <Card.Header
            title={
              <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>当日签约统计</span>
            }
            extra={
              <span></span>
            }
            style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
          />
          <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
            <Flex style={{padding:"0.4rem 0"}}>
              <Flex.Item style={{marginRight:"0.75rem"}}>
                <Flex style={{justifyContent:"space-between"}}>
                  <div>签约数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
              <Flex.Item style={{marginLeft:"0.75rem"}}>
                <Flex style={{justifyContent:"space-between"}}>
                  <div>产权调换(证)</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
            </Flex>

            <Flex style={{padding:"0.4rem 0"}}>
              <Flex.Item style={{marginRight:"0.75rem"}}>
                <Flex style={{justifyContent:"space-between"}}>
                  <div>货币（证）</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>

              </Flex.Item>
            </Flex>
          </Card.Body>
        </div>
      );
    }else{
      console.info("输出data");
      console.info(data);
      return(
        <div>
          <Card.Header
            title={
              <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>当日签约统计</span>
            }
            extra={
              <span>{data[0].today}</span>
            }
            style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
          />
          <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
            <Flex style={{padding:"0.4rem 0"}}>
              <Flex.Item style={{marginRight:"0.75rem"}}>
                <Flex style={{justifyContent:"space-between"}}>
                  <div>签约数</div>
                  <div>{data[0].yiQianYueHuShu}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item style={{marginLeft:"0.75rem"}}>
                <Flex style={{justifyContent:"space-between"}}>
                  <div>产权调换(证)</div>
                  <div>{data[0].chanQuanDiaoHuanShu}</div>
                </Flex>
              </Flex.Item>
            </Flex>

            <Flex style={{padding:"0.4rem 0"}}>
              <Flex.Item style={{marginRight:"0.75rem"}}>
                <Flex style={{justifyContent:"space-between"}}>
                  <div>货币（证）</div>
                  <div>{data[0].huoBiBuChangShu}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>

              </Flex.Item>
            </Flex>
          </Card.Body>
        </div>
      );
    }

  }
}

class CardTwo extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null) {
      return (
        <div>
          <Card.Header
            title={
              <span style={{paddingRight: "0.75rem", fontWeight: "600"}}>当日撤销统计</span>
            }
            extra={
              <span>0</span>
            }
            style={{padding: "1.2rem 1.3rem", color: '#38c5b8'}}
          />
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>翻协议次数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
              <Flex.Item style={{marginLeft: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>翻协议总次数(证)</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
            </Flex>

            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>行政撤销次数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>行政撤销总次数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
            </Flex>
          </Card.Body>
        </div>
      );
    }else{
      return (
        <div>
          <Card.Header
            title={
              <span style={{paddingRight: "0.75rem", fontWeight: "600"}}>当日撤销统计</span>
            }
            extra={
              <span>{data[0].today}</span>
            }
            style={{padding: "1.2rem 1.3rem", color: '#38c5b8'}}
          />
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>行政撤销次数</div>
                  <div>{data[0].yiQianYueHuShu}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>行政撤销总次数</div>
                  <div>{data[0].chanQuanDiaoHuanShu}</div>
                </Flex>
              </Flex.Item>
            </Flex>
          </Card.Body>
        </div>
      );
    }
  }
}

class CardThree extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null) {
      return (
        <div>
          <Card.Header
            title={
              <span style={{paddingRight: "0.75rem", fontWeight: "600"}}>是否锁定统计</span>
            }
            style={{padding: "1.2rem 1.3rem", color: '#38c5b8'}}
          />
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>未锁定证数</div>
                  <div>1</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>已锁定证数</div>
                  <div>444</div>
                </Flex>
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>已锁定比例</div>
                  <div>99.78%</div>
                </Flex>
              </Flex.Item>
              <Flex.Item style={{marginLeft: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>当日解锁次数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>累计解锁次数</div>
                  <div>104</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
              </Flex.Item>
            </Flex>

          </Card.Body>
        </div>
      );
    }else{
      return (
        <div>
          <Card.Header
            title={
              <span style={{paddingRight: "0.75rem", fontWeight: "600"}}>是否锁定统计</span>
            }
            style={{padding: "1.2rem 1.3rem", color: '#38c5b8'}}
          />
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>未锁定证数</div>
                  <div>{data[0].weiSuoDingZhengShu}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>已锁定证数</div>
                  <div>{data[0].yiSuoDingZhengShu}</div>
                </Flex>
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>已锁定比例</div>
                  <div>{data[0].yiSuoDingBiLi}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item style={{marginLeft: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>当日解锁次数</div>
                  <div>{data[0].dangRiJieSuoCount}</div>
                </Flex>
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>累计解锁次数</div>
                  <div>{data[0].leiJiJieSuoCount}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
              </Flex.Item>
            </Flex>

          </Card.Body>
        </div>
      );
    }
  }
}

class CardFour extends React.Component{

  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>事务所统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        {/*<MyBodyCard data={this.props.data}/>*/}
      </div>
    );
  }
}

class CardFive extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>基地进度统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              序号
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              项目名称
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              数值
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardFiveBody data={this.props.data}/>
      </div>
    );
  }
}

class CardFiveBody extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null) {
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                01
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                总产证数
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>

              </Flex.Item>
            </Flex>

          </Card.Body>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                02
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                总面积
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>

              </Flex.Item>
            </Flex>

          </Card.Body>

        </div>
      );
    }else{
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                01
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                总产证数
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                {data[0].zongChanZhengCount}
              </Flex.Item>
            </Flex>

          </Card.Body>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                02
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                总面积
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                {data[0].xiangMuZongMJ}
              </Flex.Item>
            </Flex>

          </Card.Body>

        </div>
      );
    }
  }
}

class CardSix extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>成本统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              序号
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              项目名称
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              数值
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardSixBody data={this.props.data}/>
      </div>
    );
  }
}

class CardSixBody extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null) {
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                01
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                签约总成本
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                0
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                02
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                结算总成本
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
               0
              </Flex.Item>
            </Flex>

          </Card.Body>

        </div>
      );
    }else{
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                01
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                签约总成本
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                {data[0].qianYueZongChengBen}
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                02
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                结算总成本
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                {data[0].jieSuanZongChengBen}
              </Flex.Item>
            </Flex>

          </Card.Body>

        </div>
      );
    }
  }
}

class CardSeven extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>使用房源统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              序号
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              项目名称
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              数值
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardSevenBody data={this.props.data}/>
      </div>
    );
  }
}

class CardSevenBody extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null) {
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                01
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                安置房屋总套数
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                0
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                02
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                安置房屋总面积
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                0
              </Flex.Item>
            </Flex>

          </Card.Body>

        </div>
      );
    }else{
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                01
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                安置房屋总套数
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                {data[0].anZhiFangWuTaoShu}
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{flex: "2"}}>
                02
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                安置房屋总面积
              </Flex.Item>
              <Flex.Item style={{flex: "3"}}>
                {data[0].anZhiFangWuZongMJ}
              </Flex.Item>
            </Flex>

          </Card.Body>

        </div>
      );
    }
  }
}

class CardEight extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null) {
      return (
        <div>
          <Card.Header
            title={
              <span style={{paddingRight: "0.75rem", fontWeight: "600"}}>基地房源统计</span>
            }
            style={{padding: "1.2rem 1.3rem", color: '#38c5b8'}}
          />
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>房源总套数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>签约使用套数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>未使用套数</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
              <Flex.Item style={{marginLeft: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>已使用比例</div>
                  <div>0</div>
                </Flex>
              </Flex.Item>
            </Flex>
          </Card.Body>
        </div>
      );
    }else{

      return (
        <div>
          <Card.Header
            title={
              <span style={{paddingRight: "0.75rem", fontWeight: "600"}}>基地房源统计</span>
            }
            style={{padding: "1.2rem 1.3rem", color: '#38c5b8'}}
          />
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem"}}>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>房源总套数</div>
                  <div>{data[0].anZhiFangWuTaoShu}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>签约使用套数</div>
                  <div>{data[0].qianYueShiYongTaoShu}</div>
                </Flex>
              </Flex.Item>
            </Flex>
            <Flex style={{padding: "0.4rem 0"}}>
              <Flex.Item style={{marginRight: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>未使用套数</div>
                  <div>{data[0].weiShiYongTaoShu}</div>
                </Flex>
              </Flex.Item>
              <Flex.Item style={{marginLeft: "0.75rem"}}>
                <Flex style={{justifyContent: "space-between"}}>
                  <div>已使用比例</div>
                  <div>{data[0].yiShiYongBiLi}</div>
                </Flex>
              </Flex.Item>
            </Flex>

          </Card.Body>
        </div>
      );
    }
  }
}

class CardNine extends React.Component{
  render(){
    return(
      <div>
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"3"}}>
              小区名称
            </Flex.Item>
            <Flex.Item style={{flex:"2"}}>
              套数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              已使用套数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              未使用套数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              已使用比例
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardNineBody data={this.props.data}/>
      </div>
    );
  }
}

class CardNineBody extends React.Component{
  render(){
    const data=this.props.data;
    if(data===null) {
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            <Flex style={{padding: "0.4rem 0"}}>

            </Flex>

          </Card.Body>

        </div>
      );
    }else{
      return (
        <div>
          <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}}>
            {data.map((item,index) => {
              return(
                <Flex style={{padding: "0.4rem 0"}}>
                  <Flex.Item style={{flex: "3"}}>
                    {item.xiaoQuMingCheng}
                  </Flex.Item>
                  <Flex.Item style={{flex: "2"}}>
                    {item.taoShu}
                  </Flex.Item>
                  <Flex.Item style={{flex: "3"}}>
                    {item.yiShiYongTaoShu}
                  </Flex.Item>
                  <Flex.Item style={{flex: "3"}}>
                    {item.weiShiYongTaoShu}
                  </Flex.Item>
                  <Flex.Item style={{flex: "3"}}>
                    {item.yiShiYongBiLi}
                  </Flex.Item>
                </Flex>);

            })}


          </Card.Body>

        </div>
      );
    }
  }
}

CardThreeContent.propTypes = {
  search: PropTypes.object,
};
// 指定订阅数据，这里关联了 login
function mapStateToProps({ search }) {
  return {search};
}
export default connect(mapStateToProps)(CardThreeContent);
